Skip to content

Service Accounts

All operations require authentication.

5 operationsv1/me/api
Agent setup

List oAuth2 clientsBeta

GET
/1.0/me/api/oauth2/client

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/api/oauth2/client \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Create a new oauth2 clientBeta

POST
/1.0/me/api/oauth2/client

Request body (required)

callbackUrls
string[]

allowed callback urls

description
required
string

client's description

flow
required
ClientFlowEnum

oAuth2's flow

ValuesAUTHORIZATION_CODECLIENT_CREDENTIALS
name
required
string

client's name

Response

200clientSecretsuccessful operation
clientId
read-only
string

client's client_id

clientSecret
read-only
stringpassword

client's client_secret

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/api/oauth2/client \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "clientId": "string", "clientSecret": "string"}

Get ClientBeta

GET
/1.0/me/api/oauth2/client/{clientId}

Path parameters

clientId
required
string

Client ID

Response

200clientsuccessful operation
callbackUrls
string[]

allowed callback urls

clientId
read-only
string

client's client_id

createdAt
read-only
stringdate-time

client's creation date

description
string

client's description

flow
read-only
ClientFlowEnum

oAuth2's flow

ValuesAUTHORIZATION_CODECLIENT_CREDENTIALS
identity
read-only
string

associated IAM identity

name
string

client's name

Example uses clientId = string

$ curl https://api.eu.ovhcloud.com/1.0/me/api/oauth2/client/{clientId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "callbackUrls": [ "string" ], "clientId": "string", "createdAt": "2024-01-01T12:00:00Z", "description": "string", "flow": "AUTHORIZATION_CODE", "identity": "string", "name": "string"}

Update ClientBeta

PUT
/1.0/me/api/oauth2/client/{clientId}

Path parameters

clientId
required
string

Client ID

Request body (required)

callbackUrls
string[]

allowed callback urls

clientId
read-only
string

client's client_id

createdAt
read-only
stringdate-time

client's creation date

description
string

client's description

flow
read-only
ClientFlowEnum

oAuth2's flow

ValuesAUTHORIZATION_CODECLIENT_CREDENTIALS
identity
read-only
string

associated IAM identity

name
string

client's name

Response

200—successful operation

Example uses clientId = string

$ curl https://api.eu.ovhcloud.com/1.0/me/api/oauth2/client/{clientId} \
  -H "authorization: Bearer $OVH_TOKEN"

Delete an oAuth2 clientBeta

DELETE
/1.0/me/api/oauth2/client/{clientId}

Path parameters

clientId
required
string

Client ID

Response

200—successful operation

Example uses clientId = string

$ curl https://api.eu.ovhcloud.com/1.0/me/api/oauth2/client/{clientId} \
  -H "authorization: Bearer $OVH_TOKEN"